Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Trying to install NiFi 1.1 from HDF Repo

Solved Go to solution

Trying to install NiFi 1.1 from HDF Repo

Super Guru
[root@tspanndev13 yum.repos.d]# yum install nifi
Loaded plugins: fastestmirror
Repository HDP-UTILS-1.1.0.21 is listed more than once in the configuration
Loading mirror speeds from cached hostfile
 * base: centos.mirror.ndchost.com
 * epel: mirror.sfo12.us.leaseweb.net
 * extras: mirrors.sonic.net
 * updates: mirrors.kernel.org
Resolving Dependencies
--> Running transaction check
---> Package nifi.noarch 0:1.1.0.2.1.1.0-2.el6 will be installed
--> Processing Dependency: nifi_2_1_1_0_2 for package: nifi-1.1.0.2.1.1.0-2.el6.noarch
--> Running transaction check
---> Package nifi_2_1_1_0_2.x86_64 0:1.1.0.2.1.1.0-2.el6 will be installed
--> Processing Dependency: hdf-select >= 2.1.1.0-2 for package: nifi_2_1_1_0_2-1.1.0.2.1.1.0-2.el6.x86_64
--> Running transaction check
---> Package hdf-select.noarch 0:2.1.1.0-2.el6 will be installed
--> Finished Dependency Resolution
Dependencies Resolved
============================================================================================================================================================================================================
 Package                                           Arch                                      Version                                                   Repository                                      Size
============================================================================================================================================================================================================
Installing:
 nifi                                              noarch                                    1.1.0.2.1.1.0-2.el6                                       HDF-2.1.1.0                                    2.5 k
Installing for dependencies:
 hdf-select                                        noarch                                    2.1.1.0-2.el6                                             HDF-2.1.1.0                                     10 k
 nifi_2_1_1_0_2                                    x86_64                                    1.1.0.2.1.1.0-2.el6                                       HDF-2.1.1.0                                    835 M
Transaction Summary
============================================================================================================================================================================================================
Install  1 Package (+2 Dependent packages)
Total download size: 835 M
Installed size: 841 M
Is this ok [y/d/N]: y
Downloading packages:
(1/3): hdf-select-2.1.1.0-2.el6.noarch.rpm                                                                                                                                           |  10 kB  00:00:00
(2/3): nifi-1.1.0.2.1.1.0-2.el6.noarch.rpm                                                                                                                                           | 2.5 kB  00:00:00
(3/3): nifi_2_1_1_0_2-1.1.0.2.1.1.0-2.el6.x86_64.rpm                                                                                                                                 | 835 MB  00:00:43
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                        19 MB/s | 835 MB  00:00:43
Running transaction check
Running transaction test
Transaction check error:
  file /usr/bin/conf-select from install of hdf-select-2.1.1.0-2.el6.noarch conflicts with file from package hdp-select-2.5.0.0-1245.el6.noarch
Error Summary
-------------
1 ACCEPTED SOLUTION

Accepted Solutions

Re: Trying to install NiFi 1.1 from HDF Repo

Super Guru

Found an ancient install of HDP client.

yum remove hdp-select-2.5.0.0-1245.el6.noarch

Removed all old data

2 REPLIES 2

Re: Trying to install NiFi 1.1 from HDF Repo

Super Guru

Found an ancient install of HDP client.

yum remove hdp-select-2.5.0.0-1245.el6.noarch

Removed all old data

Re: Trying to install NiFi 1.1 from HDF Repo

Super Guru

You install both, not even HDP Client